package textedit;

import java.io.File;
import java.util.InputMismatchException;
import java.util.Locale;
import java.util.Scanner;

public class Main {

	/**
	 * Legge il file retrieval_1a.txt e produce retrieval_1a_GT.csv
	 * Il formato del primo file e' CDVS
	 * Il formato del secondo e' CDVA
	 * Potrebbe chiamarsi cdvs2cdva
	 * @param args
	 */
	public static void main(String[] args) {
		// check that arg exist
		if (args.length == 0)
		{
			System.out.println("cdvs2cdva v1.0");
			System.out.println("usage: cdvs2cdva.jar ground-truth-file.txt");
			return;
		}	
		// check that the file exists and is readable
		
		File myfile = new File(args[0]);
		if (!myfile.canRead())
		{
			System.out.println("cannot read " + myfile.getName());
			return;
		}
		
		// da CDVS a CDVA: converti formato e struttura (e nome del file)
		// CDVS: query1 ref1 ref2 ref3 ...
		// CDVA: 1,query1,ref1
		//       1,query1,ref2
		//       1,query1,ref3
	     try {
	            Scanner scanner = new Scanner(myfile);
	            scanner.useLocale(Locale.US);
	        	
	        	System.out.println("id, queryID, matchingReferenceID");
	        	
	        	int querycounter = 0;
	        	
	            while (scanner.hasNextLine()) {
	            	String line = scanner.nextLine();
	            	++ querycounter;
	            	Scanner linescanner = new Scanner(line);

            		String queryname = linescanner.next();
            		while (linescanner.hasNext())
            		{
            			String refname = linescanner.next();
            			System.out.format("%d,%s,%s %n", querycounter, queryname, refname);
            		}
            		linescanner.close();
	            	
	            } // end while
	            scanner.close();	
	            
	        } catch ( InputMismatchException ime) {
	        	System.out.println("Input mismatch while reading text file: " + myfile.getName());
	        } catch (Exception ex) {
	            System.out.println("Text file " + myfile.getName() + " is missing.");
	        }
		}		
		

	

	}	// end MAIN
